Subject: bug#77402: 31.0.50; Tramp: file-writable-p broken

From: Michael Albinus <[email-masked]>
Date: Mon, 31 Mar 2025 19:25:42 +0200

Gerd Möllmann <[email-masked]> writes:

Hi Gerd,

>> The appended patch ought to fix it. Could you, pls, test?
>
> Thanks, that works!
>
>   (file-writable-p "/ssh:mini:/tmp")
>    => t
>
> and the Magit status buffer for the remote repository is shown without
> the error. I'll test further with Magit in the next days. If I find
> something, I'll submit new bugs for that.
>
> I think this one can be considered fixed. Thanks!

Thanks for the feedback. Since it is a very low-level change, I'll run
my regression tests first. If everything goes fine, I'll push.

Best regards, Michael.